### Method

# Ide Buffer set_change_monitor

#### Declaration

    void
    ide_buffer_set_change_monitor (
      IdeBuffer* self,
      IdeBufferChangeMonitor* change_monitor
    )

#### Description

Sets an `IdeBufferChangeMonitor` to use for the buffer.

Available since: | 3.32

Sets property | `Ide.Buffer:change-monitor`

#### Parameters

`change_monitor` | `IdeBufferChangeMonitor`
| An `IdeBufferChangeMonitor` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.